PPIx::QuoteLike::Token::Delimiter(3)

  perl_version_introduced
Experimentation with weird delimiters shows that they did not actually work until Perl 5.8.3, so we return '5.008003' for such delimiters.

  perl_version_removed
Perl 5.29.0 made fatal the use of non-standalone graphemes as string delimiters. Because non-characters and permanently unassigned code points are still allowed per perldeprecation, I take this to mean characters that match "/\p{Mark}/" (i.e. combining diacritical marks). But this regular expression does not compile under Perl 5.6.

So:

This method returns '5.029' for such delimiters provided the requisite regular expression compiles. Otherwise it return "undef".

NAME
PPIx::QuoteLike::Token::Delimiter - Represent a string delimiter

SYNOPSIS
This class should not be instantiated by the user. See below for public methods.

INHERITANCE
"PPIx::QuoteLike::Token::Delimiter" is a PPIx::QuoteLike::Token.

"PPIx::QuoteLike::Token::Delimiter" has no descendants.

DESCRIPTION
This token represents the delimiters of the string.

METHODS
This class supports no public methods in addition to those of its superclass.

SEE ALSO
PPIx::QuoteLike::Token.

SUPPORT
Support is by the author. Please file bug reports at <https://github.com/trwyant/perl-PPIx-QuoteLike/issues> or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III harryfmudd at comcast dot net

COPYRIGHT AND LICENSE
Copyright (C) 2016-2022, 2026 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the files LICENSE-Artistic and LICENSE-GPL.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.